=== debian/control ===
Source: rails
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Sruthi Chandran <srud@disroot.org>
Build-Depends: debhelper (>= 11~),
               gem2deb (>= 0.4.0~),
               racc,
               rollup,
               node-rollup-plugin-node-resolve,
               node-rollup-plugin-commonjs,
               node-rollup-plugin-babel,
               node-babel-preset-env,
               node-babel-plugin-external-helpers,
               ruby-blade,
               ruby-blade-sauce-labs-plugin,
               ruby-sprockets-export,
               rake (>= 0.8.7) <!nocheck>,
               ruby-arel (>= 9.0) <!nocheck>,
               ruby-bcrypt <!nocheck>,
               ruby-builder (<< 4.0) <!nocheck>,
               ruby-bundler (>= 1.3.0) <!nocheck>,
               ruby-bundler (<< 2.0) <!nocheck>,
               ruby-concurrent (<< 2.0) <!nocheck>,
               ruby-concurrent (>= 1.0.2) <!nocheck>,
               ruby-dalli <!nocheck>,
               ruby-delayed-job <!nocheck>,
               ruby-erubi (<< 2.0) <!nocheck>,
               ruby-erubi (>= 1.4) <!nocheck>,
               ruby-globalid (>= 0.3.6) <!nocheck>,
               ruby-i18n (>= 0.7) <!nocheck>,
               ruby-i18n (<< 2.0) <!nocheck>,
               ruby-mail (>= 2.5.4) <!nocheck>,
               ruby-mail (<< 3.0) <!nocheck>,
               ruby-marcel (<< 0.4) <!nocheck>,
               ruby-marcel (>= 0.3.1) <!nocheck>,
               ruby-minitest (>= 5.1) <!nocheck>,
               ruby-minitest (<< 6.0) <!nocheck>,
               ruby-mocha <!nocheck>,
               ruby-mysql2 <!nocheck>,
               ruby-nio4r (>= 2.0) <!nocheck>,
               ruby-nio4r (<< 3.0) <!nocheck>,
               ruby-rack (>= 2.0) <!nocheck>,
               ruby-rack (<< 3.0) <!nocheck>,
               ruby-rack-cache <!nocheck>,
               ruby-rack-test (>= 0.6.3) <!nocheck>,
               ruby-rails-dom-testing (>= 2.0) <!nocheck>,
               ruby-rails-dom-testing (<< 3.0) <!nocheck>,
               ruby-rails-html-sanitizer (>= 1.0.3) <!nocheck>,
               ruby-rails-html-sanitizer (<< 2.0) <!nocheck>,
               ruby-sprockets-rails (>= 2.3.2~) <!nocheck>,
               ruby-sqlite3 <!nocheck>,
               ruby-thor (>= 0.18.1) <!nocheck>,
               ruby-thor (<< 2.0) <!nocheck>,
               ruby-treetop <!nocheck>,
               ruby-tzinfo (>= 1.1) <!nocheck>,
               ruby-tzinfo (<< 2.0) <!nocheck>,
               ruby-websocket-driver (>= 0.6.1) <!nocheck>,
               sqlite3 <!nocheck>
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
Vcs-Browser: https://salsa.debian.org/ruby-team/rails
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby

Package: ruby-activesupport
Architecture: all
X-DhRuby-Root: activesupport/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
	 ruby-concurrent (<< 2.0),
         ruby-concurrent (>= 1.0.2),
         ruby-i18n (<< 2.0),
         ruby-i18n (>= 0.7),
         ruby-minitest (<< 6.0),
         ruby-minitest (>= 5.1),
         ruby-tzinfo (<< 2.0),
         ruby-tzinfo (>= 1.1),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support and utility classes used by the Rails 4.1 framework
 ActiveSupport consists of utility classes and extensions to the Ruby
 standard library that were required for Rails but found to be
 generally useful.

Package: ruby-activerecord
Architecture: all
X-DhRuby-Root: activerecord/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activemodel (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-arel (>= 9.0),
         ${misc:Depends}
Description: object-relational mapper framework (part of Rails)
 Active Records is a framework to work with databases on Rails.  Build
 a persistent domain model by mapping database tables to Ruby classes.
 Strong conventions for associations, validations, aggregations,
 migrations, and testing come baked-in.

Package: ruby-activemodel
Architecture: all
X-DhRuby-Root: activemodel/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ${misc:Depends}
Description: toolkit for building modeling frameworks (part of Rails)
 Active Model is a toolkit for building modeling frameworks like
 Active Record and Active Resource.  This includes a rich support for
 attributes, callbacks, validations, observers, serialization,
 internationalization, and testing.

Package: ruby-activejob
Architecture: all
X-DhRuby-Root: activejob/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
         ruby-globalid (>= 0.3.6),
         ${misc:Depends}
Description: job framework with pluggable queues
 Active Job is a framework for declaring jobs and making them run on a variety
 of queueing backends. These jobs can be everything from regularly scheduled
 clean-ups, to billing charges, to mailings. Anything that can be chopped up
 into small units of work and run in parallel, really.

Package: ruby-actionview
Architecture: all
X-DhRuby-Root: actionview/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-activesupport (= ${source:Version}),
	 ruby-builder (<< 4.0),
         ruby-builder (>= 3.1),
         ruby-erubi (<< 2.0),
         ruby-erubi (>= 1.4),
         ruby-rails-dom-testing (<< 3.0),
         ruby-rails-dom-testing (>= 2.0),
         ruby-rails-html-sanitizer (<< 2.0),
         ruby-rails-html-sanitizer (>= 1.0.3),
         ${misc:Depends}
Description: framework for handling view template lookup and rendering (part of Rails)
 Action View is a framework for handling view template lookup and
 rendering, and provides view helpers that assist when building HTML
 forms, Atom feeds and more. Template formats that Action View handles
 are ERB (embedded Ruby, typically used to inline short Ruby snippets
 inside HTML), and XML Builder.

Package: ruby-actionpack
Architecture: all
X-DhRuby-Root: actionpack/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-actionview (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
         ruby-rack (<< 3.0),
         ruby-rack (>= 2.0),
         ruby-rack-test (>= 0.6.3),
	 ruby-rails-dom-testing (<< 3.0),
         ruby-rails-dom-testing (>= 2.0),
         ruby-rails-html-sanitizer (<< 2.0),
         ruby-rails-html-sanitizer (>= 1.0.2),
         ${misc:Depends}
Description: web-flow and rendering framework putting the VC in MVC (part of Rails)
 Action Pack is a framework for web apps on Rails. Simple,
 battle-tested conventions for building and testing MVC web
 applications. Works with any Rack-compatible server.

Package: ruby-actionmailer
Architecture: all
X-DhRuby-Root: actionmailer/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-actionview (= ${source:Version}),
         ruby-activejob (= ${source:Version}),
         ruby-mail (<< 3.0),
         ruby-mail (>= 2.5.4),
	 ruby-rails-dom-testing (<< 3.0),
         ruby-rails-dom-testing (>= 2.0),
	 ${misc:Depends},
         ${shlibs:Depends}
Description: email composition, delivery, and receiving framework (part of Rails)
 Action Mailer is a framework for working with email on Rails.
 Compose, deliver, receive, and test emails using the familiar
 controller/view pattern.  First-class support for multipart email
 and attachments.

Package: ruby-actioncable
Architecture: all
X-DhRuby-Root: actioncable/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-nio4r (<< 3.0),
	 ruby-nio4r (>= 2.0),
         ruby-websocket-driver (>= 0.6.1),
         ${misc:Depends},
Description: WebSocket framework for Rails (part of Rails)
 Action Cable seamlessly integrates WebSockets with the rest of your Rails
 application. It allows for real-time features to be written in Ruby in the same
 style and form as the rest of your Rails application, while still being
 performant and scalable. It's a full-stack offering that provides both a
 client-side JavaScript framework and a server-side Ruby framework. You have
 access to your full domain model written with Active Record or your ORM of
 choice.

Package: ruby-activestorage
Architecture: all
X-DhRuby-Root: activestorage/
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-activerecord (= ${source:Version}),
         ruby-marcel (<< 0.4),
         ruby-marcel (>= 0.3.1),
         ${misc:Depends},
Description: Local and cloud file storage framework (part of Rails)
 Active Storage makes it simple to upload and reference files in cloud services
 like Amazon S3 and Microsoft Azure Storage, and attach those files to Active
 Records. Supports having one main service and mirrors in other services for
 redundancy. It also provides a disk service for testing or local deployments,
 but the focus is on cloud storage.
 .
 Files can be uploaded from the server to the cloud or directly from the client
 to the cloud.
 .
 Image files can furthermore be transformed using on-demand variants for
 quality, aspect ratio, size, or any other MiniMagick supported transformation.

Package: ruby-railties
Architecture: all
X-DhRuby-Root: railties/
XB-Ruby-Versions: ${ruby:Versions}
Depends: rake (>= 0.8.7),
         ruby | ruby-interpreter,
         ruby-actionpack (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
	 rake (>= 0.8.7),
         ruby-thor (<< 2.0),
         ruby-thor (>= 0.18.1),
         ruby-method-source,
         ${misc:Depends}
Description: tools for creating, working with, and running Rails applications
 This package contains the Rails internals, i.e. components that implement
 and/or control application bootup, plugins, generators, and rake tasks.

Package: ruby-rails
Architecture: all
X-DhRuby-Root: ./
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-actionmailer (= ${source:Version}),
         ruby-actionpack (= ${source:Version}),
         ruby-actionview (= ${source:Version}),
         ruby-activemodel (= ${source:Version}),
         ruby-activerecord (= ${source:Version}),
         ruby-activesupport (= ${source:Version}),
	 ruby-activestorage (= ${source:Version}),
	 ruby-actioncable (= ${source:Version}),
	 ruby-activejob (= ${source:Version}),
         ruby-bundler (>= 1.3.0),
         ruby-railties (= ${source:Version}),
         ruby-sprockets-rails (>= 2.3.2~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.

Package: rails
Architecture: all
Depends: ruby-rails (= ${source:Version}),
         puma (>= 3.11),
         ruby-bootsnap (>= 1.1.0),
         ruby-byebug,
         ruby-chromedriver-helper,
         ruby-coffee-rails (>= 4.2),
         ruby-capybara (>= 2.15),
         ruby-capybara (<< 4.0),
         ruby-jbuilder (>= 2.5),
         ruby-jbuilder (<< 3.0),
         ruby-jquery-rails,
         ruby-listen (>= 3.0.5),
         ruby-listen (<< 3.2),
         ruby-sass-rails (>= 5.0),
         ruby-sdoc,
         ruby-selenium-webdriver,
         ruby-spring,
         ruby-spring-watcher-listen,
         ruby-sqlite3,
