## rails 5.2.2.1+dfsg

=== debian/changelog ===
rails (2:5.2.2.1+dfsg-1+deb10u5) buster-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Regression on last upload. Disable patch for CVE-2022-32224

 -- Abhijith PA <abhijith@debian.org>  Tue, 13 Sep 2022 13:57:41 +0000

rails (2:5.2.2.1+dfsg-1+deb10u4) buster-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2022-21831, CVE-2022-22577, CVE-2022-23633, CVE-2022-27777,
    CVE-2022-32224

 -- Abhijith PA <abhijith@debian.org>  Sat, 03 Sep 2022 14:58:08 +0530

rails (2:5.2.2.1+dfsg-1+deb10u3) buster-security; urgency=high

  * Add patch to prevent string polymorphic route
    arguments. (Fixes: CVE-2021-22885) (Closes: #988214)
  * Add patch to prevent slow regex when parsing host auth
    header. (Fixes: CVE-2021-22904) (Closes: #988214)
  * Add patch to fix possible DoS vector in PostgreSQL
    money type. (Fixes: CVE-2021-22880)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 06 Jun 2021 18:26:33 +0530

rails (2:5.2.2.1+dfsg-1+deb10u2) buster-security; urgency=medium

  * CVE-2020-8162 CVE-2020-8164 CVE-2020-8165 CVE-2020-8166 CVE-2020-8167
    CVE-2020-15169

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 23 Sep 2020 19:19:24 +0200

rails (2:5.2.2.1+dfsg-1+deb10u1) buster; urgency=high

  * Team upload.
  * Add patch to fix possible XSS vector in JS escape helper.
    (Fixes: CVE-2020-5267) (Closes: #954304)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 22 Mar 2020 18:47:31 +0530

rails (2:5.2.2.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.2.2.1+dfsg (Closes: #924520, #924521)
    (Fixes: CVE-2019-5418 CVE-2019-5419, CVE-2019-5420)
  * Drop unused override
  * Remove duplicate Depends entry for rake
  * Add d/upstream/metadata

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sun, 17 Mar 2019 17:44:07 +0530
