## rails 5.2.3%2Bdfsg

=== debian/changelog ===
rails (2:5.2.3+dfsg-3) unstable; urgency=medium

  * Tighten dependency on bundler
  * Add patch to fix autopkgtest
  * Use @d.o address

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 14 Feb 2020 05:31:36 +0530

rails (2:5.2.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Relax dependency on bundler
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sruthi Chandran <srud@debian.org>  Fri, 07 Feb 2020 11:55:23 +0100

rails (2:5.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.3+dfsg
  * Add salsa-ci.yml
  * Bump Standards-Version to 4.4.0
  * Bump debhelper-compat to 12
  * Add myself as an uploader

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 13 Aug 2019 03:18:06 +0530
