## rails 5.2.3+dfsg

=== debian/changelog ===
rails (2:5.2.3+dfsg-3ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: vulnerabilities in Action Pack, Action Mailer
    - debian/patches/CVE-2024-47887.patch: avoid backtracking in raw
      params
    - debian/patches/CVE-2024-47889.patch: avoid backtracking in block
      format
    - debian/patches/CVE-2024-41128.patch: avoid backtracking in 
      filtered query string
    - CVE-2024-47887, CVE-2024-47889, CVE-2024-41128

 -- Julia Sarris <julia.sarris@canonical.com>  Thu, 20 Feb 2025 11:09:46 -0500
