=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: rails
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
-           Sruthi Chandran <srud@disroot.org>
-Build-Depends: debhelper (>= 11~),
+           Sruthi Chandran <srud@disroot.org>,
+           Utkarsh Gupta <utkarsh@debian.org>
+Build-Depends: debhelper-compat (= 12),
                gem2deb (>= 0.4.0~),
                racc,
                rollup,
@@ -20,8 +22,7 @@
                ruby-arel (>= 9.0) <!nocheck>,
                ruby-bcrypt <!nocheck>,
                ruby-builder (<< 4.0) <!nocheck>,
-               ruby-bundler (>= 1.3.0) <!nocheck>,
-               ruby-bundler (<< 2.0) <!nocheck>,
+               ruby-bundler (>= 2.1.4) <!nocheck>,
                ruby-concurrent (<< 2.0) <!nocheck>,
                ruby-concurrent (>= 1.0.2) <!nocheck>,
                ruby-dalli <!nocheck>,
@@ -58,7 +59,7 @@
                ruby-tzinfo (<< 2.0) <!nocheck>,
                ruby-websocket-driver (>= 0.6.1) <!nocheck>,
                sqlite3 <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/rails.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rails
 Homepage: http://www.rubyonrails.org
@@ -239,7 +240,6 @@
          ruby | ruby-interpreter,
          ruby-actionpack (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
-	 rake (>= 0.8.7),
          ruby-thor (<< 2.0),
          ruby-thor (>= 0.18.1),
          ruby-method-source,
@@ -261,7 +261,7 @@
 	 ruby-activestorage (= ${source:Version}),
 	 ruby-actioncable (= ${source:Version}),
 	 ruby-activejob (= ${source:Version}),
-         ruby-bundler (>= 1.3.0),
+         ruby-bundler (>= 2.1.4),
          ruby-railties (= ${source:Version}),
          ruby-sprockets-rails (>= 2.3.2~),
          ${misc:Depends},
@@ -293,6 +293,3 @@
          ruby-sass-rails (>= 5.0),
          ruby-sdoc,
          ruby-selenium-webdriver,
-         ruby-spring,
-         ruby-spring-watcher-listen,
-         ruby-sqlite3,
