## rails 5.2.4.3+dfsg

=== debian/changelog ===
rails (2:5.2.4.3+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 02 Oct 2020 17:27:19 +0530

rails (2:5.2.4.3+dfsg-2) unstable; urgency=medium

  * Add patch to switch to node-babel7 for activestorage
    javascript bundle generation
  * Use AUTOPKGTEST_TMP in tests as ADTTMP is deprecated

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 13 Jun 2020 02:39:43 +0530

rails (2:5.2.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.4.3+dfsg
    - Circumvention of file size limits in ActiveStorage
      (Fixes: CVE-2020-8162)
    - Possible Strong Parameters Bypass in ActionPack
      (Fixes: CVE-2020-8164)
    - Potentially unintended unmarshalling of user-provided objects
      in MemCacheStore and RedisCacheStore (Fixes: CVE-2020-8165)
    - Ability to forge per-form CSRF tokens given a global CSRF token
      (Fixes: CVE-2020-8166)
    - CSRF Vulnerability in rails-ujs (Fixes: CVE-2020-8167)
  * Set debian-branch as 5.2.3+dfsg-1
  * Drop patches as they're merged upstream
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 04 Jun 2020 11:41:38 +0530

rails (2:5.2.4.1+dfsg-2) unstable; urgency=medium

  * Add patch to fix possible XSS vector in JS escape helper.
    (Fixes: CVE-2020-5267) (Closes: #954304)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 20 Mar 2020 05:10:56 +0530

rails (2:5.2.4.1+dfsg-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * New upstream version 5.2.4.1+dfsg

  [ Utkarsh Gupta ]
  * Refresh patches
  * Update patch to remove the function call
  * Tighten dependency on ruby-rack

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 07 Mar 2020 17:35:09 +0530

rails (2:5.2.3+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sruthi Chandran <srud@debian.org>  Sun, 06 Oct 2019 00:17:05 +0530
