=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rails
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Sruthi Chandran <srud@disroot.org>,
            Utkarsh Gupta <utkarsh@debian.org>
@@ -12,9 +11,8 @@
                rollup,
                node-rollup-plugin-node-resolve,
                node-rollup-plugin-commonjs,
-               node-rollup-plugin-babel,
-               node-babel-preset-env,
-               node-babel-plugin-external-helpers,
+               node-rollup-plugin-babel (>= 4.4~),
+               node-babel7,
                ruby-blade,
                ruby-blade-sauce-labs-plugin,
                ruby-sprockets-export,
@@ -42,7 +40,7 @@
                ruby-mysql2 <!nocheck>,
                ruby-nio4r (>= 2.0) <!nocheck>,
                ruby-nio4r (<< 3.0) <!nocheck>,
-               ruby-rack (>= 2.0) <!nocheck>,
+               ruby-rack (>= 2.0.8) <!nocheck>,
                ruby-rack (<< 3.0) <!nocheck>,
                ruby-rack-cache <!nocheck>,
                ruby-rack-test (>= 0.6.3) <!nocheck>,
@@ -158,7 +156,7 @@
          ruby-actionview (= ${source:Version}),
          ruby-activesupport (= ${source:Version}),
          ruby-rack (<< 3.0),
-         ruby-rack (>= 2.0),
+         ruby-rack (>= 2.0.8),
          ruby-rack-test (>= 0.6.3),
 	 ruby-rails-dom-testing (<< 3.0),
          ruby-rails-dom-testing (>= 2.0),
@@ -293,3 +291,7 @@
          ruby-sass-rails (>= 5.0),
          ruby-sdoc,
          ruby-selenium-webdriver,
+         ruby-spring,
+         ruby-spring-watcher-listen,
+         ruby-sqlite3,
+         ruby-turbolinks (>= 5.0),
