## rails 6.0.3.5%2Bdfsg

=== debian/changelog ===
rails (2:6.0.3.5+dfsg-1) unstable; urgency=high

  * New upstream version 6.0.3.5+dfsg.
    - Fix possible DoS vector in PostgreSQL money type.
      (Fixes: CVE-2021-22880)
    - Prevent open redirect when allowed host starts with a dot.
      (Fixes: CVE-2021-22881)
  * Fix d/gbp.conf for master-6.0 branch.
  * Drop Jongmin Kim from uploaders.
    - Thanks, Jongmin, for all the work so far!

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 14 Feb 2021 18:48:21 +0530

rails (2:6.0.3.4+dfsg-3) unstable; urgency=medium

  [ Pirate Praveen ]
  * Fix silent build failure and adapt rollup.config.js for
    recent changes. (Closes: #979133)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 03 Feb 2021 22:12:15 +0530

rails (2:6.0.3.4+dfsg-2) unstable; urgency=medium

  [ Pirate Praveen ]
  * Allow build with "nocheck" build profile to skip selenium
    dependency. (Closes: #974065)
    - Thanks, Sven Mueller, for the patch.
  * Drop build dependency on qunit-selenium. (Closes: #976291)
    - We do not have tests enabled that need qunit-selenium.

  [ Utkarsh Gupta ]
  * Fix d/control spacing issue.
  * Remove unnecessary version guards.
    + cme fix dpkg to the resuce.
  * Bump debhelper-compat to 13.
  * Re-format d/gbp.conf.
    - To help properly branch out stuff.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 12 Dec 2020 02:42:08 +0530

rails (2:6.0.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 6.0.3.4+dfsg
    - Fix a possible XSS vulnerability in Action Pack in
      Development Mode. (Fixes: CVE-2020-8264) (Closes: #971988)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 12 Oct 2020 00:28:24 +0530

rails (2:6.0.3.3+dfsg-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the
    source package

  [ Utkarsh Gupta ]
  * New upstream version 6.0.3.3+dfsg
    - Ensure values directly from `options[:default]` are not marked
      as `html_safe`. (Fixes: CVE-2020-15169) (Closes: #970040)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Sep 2020 09:32:28 +0530

rails (2:6.0.3.2+dfsg-11) unstable; urgency=medium

  * Team Upload
  * Move yarnpkg to recommends of rails meta package
    (To help testing migration)

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 Aug 2020 14:49:09 +0530

rails (2:6.0.3.2+dfsg-10) unstable; urgency=medium

  * Team Upload
  * Skip creating javascript and webpack installation in newapp autopkgtest
   (This fixes autopkgtest regression in arm64)

 -- Pirate Praveen <praveen@debian.org>  Thu, 27 Aug 2020 23:24:41 +0530

rails (2:6.0.3.2+dfsg-9) unstable; urgency=medium

  * Team Upload
  * Remove webdrivers from default Gemfile for new rails applications
    (Closes: #967007)

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Aug 2020 13:04:28 +0530

rails (2:6.0.3.2+dfsg-8) unstable; urgency=medium

  * Team Upload
  * Add ruby-webpacker as dependency to rails meta package

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Aug 2020 23:24:21 +0530

rails (2:6.0.3.2+dfsg-7) unstable; urgency=medium

  * Remove dependencies no longer required for rails metapackage
  * Remove Breaks on ruby-carrierwave << 2

 -- Pirate Praveen <praveen@debian.org>  Tue, 04 Aug 2020 17:49:02 +0530

rails (2:6.0.3.2+dfsg-6) unstable; urgency=medium

  * Add more dependencies for rails metapackage

 -- Pirate Praveen <praveen@debian.org>  Tue, 04 Aug 2020 01:46:50 +0530

rails (2:6.0.3.2+dfsg-5) unstable; urgency=medium

  * Remove more generated files in clean
  * Fix bundler patch and add bundler as dependency (Closes: #966838)
  * Bump minimum version of puma to 4.1

 -- Pirate Praveen <praveen@debian.org>  Mon, 03 Aug 2020 14:57:03 +0530

rails (2:6.0.3.2+dfsg-4) unstable; urgency=medium

  * Team Upload
  * Fail build when tests fails (Closes: #919478)
  * Start redis server for activesupport tests (fixes test failures)
  * Change assets:compile to assets:codegen in actioncable build

 -- Pirate Praveen <praveen@debian.org>  Mon, 03 Aug 2020 03:00:27 +0530

rails (2:6.0.3.2+dfsg-3) unstable; urgency=medium

  * Team Upload
  * Reupload to unstable
  * Add Breaks for packages that need a new version for rails 6 support

 -- Pirate Praveen <praveen@debian.org>  Sun, 02 Aug 2020 22:54:59 +0530

rails (2:6.0.3.2+dfsg-2) experimental; urgency=medium

  * Team Upload
  * Drop myself from uploaders
  * Update minimum version of ruby-sass-rails to 6.0~

 -- Pirate Praveen <praveen@debian.org>  Wed, 29 Jul 2020 18:15:23 +0530

rails (2:6.0.3.2+dfsg-1) experimental; urgency=medium

  * New upstream version 6.0.3.2+dfsg
    - Fixes CVE-2020-8185: Untrusted users able to run pending
      migrations in production (Closes: 964081)
  * Refresh d/patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 01 Jul 2020 17:12:45 +0530

rails (2:6.0.3.1+dfsg-1) experimental; urgency=medium

  * New upstream version 6.0.3.1+dfsg
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Mon, 25 May 2020 16:04:56 +0530

rails (2:6.0.2.1+dfsg-4) experimental; urgency=medium

  * Tighten dependency on ruby-rails-html-sanitizer (for backports)
  * Switch to node-babel7 for activestorage javascript bundle generation

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 May 2020 18:25:37 +0530

rails (2:6.0.2.1+dfsg-3) experimental; urgency=medium

  * Add patch to fix ActionController::TestSession#id to return
    Rack::Session::SessionId instance.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 26 Mar 2020 13:34:17 +0530

rails (2:6.0.2.1+dfsg-2) experimental; urgency=medium

  * Tighten dependency on ruby-rack

 -- Sruthi Chandran <srud@debian.org>  Wed, 05 Feb 2020 15:02:04 +0100

rails (2:6.0.2.1+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

  [ Sruthi Chandran ]
  * New upstream version 6.0.2.1+dfsg
  * Refresh patches

