## rails 6.0.3.5+dfsg

=== debian/changelog ===
rails (2:6.0.3.5+dfsg-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:21:07 +0000
