=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: rails
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Sruthi Chandran <srud@debian.org>,
            Utkarsh Gupta <utkarsh@debian.org>,
 Section: ruby
@@ -291,4 +292,3 @@
  to the cloud.
  .
  Image files can furthermore be transformed using on-demand variants for
- quality, aspect ratio, size, or any other MiniMagick supported transformation.
